#!/bin/sh

set -e

sudo apt-get install git zsh curl
git clone https://git.246060.ru/config/zsh $HOME/.config/zsh

cat <<EOF > $HOME/.zshenv
# Загрузка конфигурации из каталога \$ZDOTDIR
export ZDOTDIR=\$HOME/.config/zsh
source \$ZDOTDIR/.zshenv
EOF

sudo usermod -s $(which zsh) $(whoami)

mkdir -p ~/.local/share/fonts
curl -fSL -o "$HOME/.local/share/fonts/Anonymice Nerd Font Complete.ttf" https://github.com/ryanoasis/nerd-fonts/raw/master/patched-fonts/AnonymousPro/complete/Anonymice%20Nerd%20Font%20Complete.ttf
curl -fSL -o "$HOME/.local/share/fonts/Anonymice Nerd Font Complete Mono.ttf" https://github.com/ryanoasis/nerd-fonts/raw/master/patched-fonts/AnonymousPro/complete/Anonymice%20Nerd%20Font%20Complete%20Mono.ttf
